## org.mortbay.http
Interface SecurityConstraint.Authenticator

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  BasicAuthenticator, ClientCertAuthenticator, DigestAuthenticator, FormAuthenticator

Enclosing interface:
  SecurityConstraint

public static interface SecurityConstraint.Authenticator
extends java.io.Serializable

Method Summary
`UserPrincipal` `authenticated(UserRealm realm, java.lang.String pathInContext, HttpRequest request, HttpResponse response)` Authenticate.
`java.lang.String` `getAuthMethod()`

Method Detail

### authenticated

    public UserPrincipal authenticated(UserRealm realm,
                                       java.lang.String pathInContext,
                                       HttpRequest request,
                                       HttpResponse response)
                                throws java.io.IOException

  Authenticate.

  Returns:
    UserPrincipal if authenticated. Null if Authentication failed. If the SecurityConstraint.__NOBODY instance is returned, the request is considered as part of the authentication process.
  Throws:
    `java.io.IOException`

### getAuthMethod

    public java.lang.String getAuthMethod()

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.